Package wx :: Module html :: Class HtmlParser

[frames | no frames]

## Type HtmlParser

    object --+
             |
        Object --+
                 |
                HtmlParser

Known Subclasses:
  `HtmlWinParser`

Proxy of C++ HtmlParser class

Method Summary
| `__init__(self)`
| `AddTagHandler(self, handler)`
| `DoneParser(self)`
| `DoParsing(self, begin_pos, end_pos)`
FileSystem | `GetFS(self)`
String | `GetInnerSource(self, tag)`
String | `GetSource(self)`
| `InitParser(self, source)`
Object | `Parse(self, source)`
| `PopTagHandler(self)`
| `PushTagHandler(self, handler, tags)`
| `SetFS(self, fs)`
| `StopParsing(self)`

Property Summary
| `FS`: See `GetFS` and `SetFS`
| `Source`: See `GetSource`
| `thisown`: The membership flag

Property Details

### FS

See `GetFS` and `SetFS`

  Get Method:
    `GetFS`(self)
  Set Method:
    `SetFS`(self, fs)

### Source

See `GetSource`

  Get Method:
    `GetSource`(self)

### thisown

The membership flag

  Get Method:
    unknown--1219048340(...)
  Set Method:
    unknown--1219048284(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:17 2007 | http://epydoc.sf.net